<!DOCTYPE html>
<html lang="en">
{% load static %}
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Loan Application</title>
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
    <!-- Google Fonts Roboto -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href='{% static "js_css/css/bootstrap.min.css" %}'>
    <!-- Material Design Bootstrap -->
    <link rel="stylesheet" href='{% static "js_css/css/mdb.min.css" %}'>
    <!-- Your custom styles (optional) -->
    <link rel="stylesheet" href='{% static "js_css/css/style.css" %}'>
    <!-- custom css styles -->
    <link rel="stylesheet" href='{% static "js_css/css/custom_style.css" %}'>
    <!-- custom navbar css styles -->
    <link rel="stylesheet" href='{% static "js_css/css/custom_sidebar.css" %}'>
    <!-- custom responsive table css styles -->
    <link rel="stylesheet" href='{% static "js_css/css/responsive_table.css" %}'>

</head>
<body class="fixed-sn">

{% include 'sidebar.html' %}


<!-- Start your project here-->
{% block content %}
{% endblock %}
<!-- End your project here-->

<!-- Central Modal Medium Danger -->
<div class="modal fade" id="loanNotEligibleModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog modal-notify modal-danger" role="document">
        <!--Content-->
        <div class="modal-content">
            <!--Header-->
            <div class="modal-header">
                <p class="heading lead">Not Eligible</p>

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true" class="white-text">&times;</span>
                </button>
            </div>

            <!--Body-->
            <div class="modal-body">
                <div class="text-center">
                    <i class="fas fa-times fa-4x mb-3 animated rotateIn"></i>
                    <p>Based on your requested loan amount and period, you are not eligible for a loan.</p>
                </div>
            </div>

            <!--Footer-->
            <div class="modal-footer justify-content-center">
                <a type="button" class="btn btn-outline-danger waves-effect" data-dismiss="modal">Ok</a>
            </div>
        </div>
        <!--/.Content-->
    </div>
</div>
<!-- Central Modal Medium Danger-->
<!-- jQuery -->
<script type="text/javascript" src='{% static "js_css/js/jquery.min.js" %}'></script>
<!-- Bootstrap tooltips -->
<script type="text/javascript" src='{% static "js_css/js/popper.min.js" %}'></script>
<!-- Bootstrap core JavaScript -->
<script type="text/javascript" src='{% static "js_css/js/bootstrap.min.js" %}'></script>
<!-- MDB core JavaScript -->
<script type="text/javascript" src='{% static "js_css/js/mdb.min.js" %}'></script>
<!-- Your loan calculation scripts -->
<script type="text/javascript" src='{% static "js_css/js/pmt.js" %}'></script>
<script type="text/javascript" src='{% static "js_css/js/mortgage.js" %}'></script>
<script type="text/javascript"></script>

{% if user.is_authenticated and not user.is_superuser %}
<script>

    $('input').keyup(function(){ // run anytime the value changes
        var rate = Number($('#id_interest').prop('defaultValue')); // get value of field
        var amount = Number($('#id_initial_amount').val()); // convert it to a float
        var period = Number($('#id_period').val());
        var interest = (rate * amount) / 100;

        var monthly_payment = mortgage(amount, period, rate/100);
        console.log('monthly payment: ', monthly_payment.toLocaleString('en-US', {maximumFractionDigits:2}));
        $('#id_monthly_payment').val(monthly_payment.toFixed(3));

        var disbursed_amount = amount * {{disbursed}}
        $('#id_disbursed_amount').val(disbursed_amount.toFixed(3));
        console.log("disbursed: ", disbursed_amount.toLocaleString('en-US', {maximumFractionDigits:2}))
        // calculate pmt
        var pmt_result = PMT(rate/100 , period, amount, 0, 0); // rate, period * 12, pv, fv, type
        console.log("pmt_result", pmt_result);

        total_amount = (monthly_payment * period);
        console.log("total_amount: ", total_amount.toLocaleString('en-US', {maximumFractionDigits:2}), "rate: ", rate, "period: ", period);
        $('#id_amount').val(total_amount.toFixed(3));
    });

</script>

<script>
// check for eligibility for a loan
    function eligibleForLoan() {
        var rate = Number($('#id_interest').prop('defaultValue')); // get value of field
        var amount = Number($('#id_amount').val()); // convert it to a float
        var period = Number($('#id_period').val());
        var contract_end = new Date('{{ user.userprofile.contract_end }}');
        var due_date = new Date();
        var net_sal = {{ user.userprofile.net_sal }};
        var pmt_result = PMT(rate/100 , period, amount , 0 , 0);

        console.log("today date: ", due_date, "contract_end", contract_end);
        due_date.setMonth(due_date.getMonth() + period);
        console.log("due_date < contract_end |", due_date.getTime() < contract_end.getTime(), "|", due_date);

        console.log("check: pmt ", (Math.abs(pmt_result) < (net_sal/2)));
        if((Math.abs(pmt_result) < (net_sal/2)) && (due_date.getTime() < contract_end.getTime())){
            console.log("check: Eligible for loan");
            return true;
        } else{
            return false;
        }
};

$(function() {
  $("#loanForm").on("submit",function(e) {
    if (!eligibleForLoan()) {
      console.log("Not eligible for loan", 'net_sal', {{ user.userprofile.net_sal }})
      // alert('Based on your amount and period, you are not eligible for a loan');
      $('#LoanApplicationModal').modal('hide') // to hide the loan application form
      $('#loanNotEligibleModal').modal('show'); // to show the error modal
      return false; // cancel submit
    }
    console.log("Eligible for loan")
    $('#LoanApplicationModal').modal('hide')
    return true; // allow submit
  });
});

</script>

{% endif %}
<script>
$(document).ready(function() {

  // SideNav Button Initialization
  $(".button-collapse").sideNav('hide');
  // SideNav Scrollbar Initialization
  //var sideNavScrollbar = document.querySelector('.custom-scrollbar');
  //var ps = new PerfectScrollbar(sideNavScrollbar);
})




</script>
<script>
        function showProgressBar() {
            document.getElementById("submitProgressbar").style.display = "block";
        }


</script>
</body>
</html>
